Current month usage and quota
GET
/usage
const url = 'https://api.integration.tryonvirtual.com/v1/usage';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.integration.tryonvirtual.com/v1/usage \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Usage summary
Media typeapplication/json
object
month
string
plan
object
name
string
type
string
has_advanced_analytics
boolean
has_auto_lighting
boolean
overage_generation_price
Price in USD charged per 3D generation beyond the plan’s monthly allowance. 0 means the plan has no generation overage.
number
opens
object
used
integer
limit
0 means unlimited
integer
remaining
-1 means unlimited
integer
percent_used
number
is_exceeded
boolean
is_near_limit
boolean
is_unlimited
boolean
swap
object
used
integer
limit
0 means unlimited
integer
remaining
-1 means unlimited
integer
percent_used
number
is_exceeded
boolean
is_near_limit
boolean
is_unlimited
boolean
products
object
used
integer
limit
0 means unlimited
integer
remaining
-1 means unlimited
integer
percent_used
number
is_exceeded
boolean
is_near_limit
boolean
is_unlimited
boolean
Example
{ "month": "2026-08", "plan": { "name": "Essentials", "type": "free", "overage_generation_price": 0.75 }}